;********************************************************************************************
;picmicrolab.com 3.20.2017

;Blink C5 with PIC16F684

;********************************************************************************************
LIST 	P=PIC16F684
include	P16f684.inc

__CONFIG _CP_OFF & _WDT_OFF & _BOD_OFF & _PWRTE_OFF & _INTRC_OSC_NOCLKOUT & _CPD_OFF

		org 0x00 
reset:
		goto start
		org 0x04 
start:  bcf STATUS, RP0 
		bcf STATUS, RP1 
		clrf PORTC
	
 
		bsf STATUS, RP0 
		clrf TRISC 
		bcf STATUS, RP0

loop: 
		bsf PORTC,0X05 
		call delay

		bcf PORTC,0X05 
		call delay
		goto loop

;------------------------------------
delay:					
		movlw		0xFF		
		movwf		0x51
CONT1:	movlw		0xFF		
		movwf		0x52
CONT2:	decfsz		0x52,f
		goto		CONT2
		decfsz		0x51,f
		goto		CONT1
		return			
;------------------------------------
end